Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`conch`.`checkers`.`InMemorySSHKeyDB``

class documentation

`class InMemorySSHKeyDB: (source)`

Constructor: `InMemorySSHKeyDB(mapping)`

Implements interfaces: `twisted.conch.checkers.IAuthorizedKeysDB`

View In Hierarchy

Object that provides SSH public keys based on a dictionary of usernames mapped to `twisted.conch.ssh.keys.Key`s.

Present Since
15.0

Method | `__init__` | Initializes a new `InMemorySSHKeyDB`.
Method | `getAuthorizedKeys` | Look up the authorized keys for a user.
Instance Variable | `_mapping` | Undocumented

def __init__(self, mapping: `Mapping[bytes, Iterable[keys.Key]]`): (source)

Initializes a new `InMemorySSHKeyDB`.

Parameters
mapping:`Mapping[bytes, Iterable[keys.Key]]` | mapping of usernames to iterables of `twisted.conch.ssh.keys.Key`s

def getAuthorizedKeys(self, username: `bytes`) -> `Iterable[keys.Key]`: (source)
from `twisted.conch.checkers.IAuthorizedKeysDB`

Look up the authorized keys for a user.

Parameters
username:`bytes` | Name of the user
Returns
`Iterable[keys.Key]` | Undocumented

_mapping = (source)

Undocumented